=== debian/changelog ===
python-pytest-trio (0.8.0-4) unstable; urgency=medium

  * Team upload.
  * Fix test failures with pytest 8.4 (closes: #1114324).

 -- Colin Watson <cjwatson@debian.org>  Thu, 18 Sep 2025 09:11:20 +0100

python-pytest-trio (0.8.0-3) unstable; urgency=low

  * Add patch to fix logo URL (Closes: #1057601).
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Jan 2024 21:03:45 +0000

python-pytest-trio (0.8.0-2) unstable; urgency=medium

  * Install testfiles using d/pybuild.testfiles.
  * Add patch to fix imports of trio._tests from python3-trio-0.22.1.
  * Clean up .pytest_cache directory after build-time tests.

 -- Michael Fladischer <fladi@debian.org>  Tue, 11 Jul 2023 12:57:59 +0000

python-pytest-trio (0.8.0-1) unstable; urgency=low

  * Initial release (Closes: #1040009).

 -- Michael Fladischer <fladi@debian.org>  Sat, 01 Jul 2023 10:38:02 +0000
