=== debian/control ===
Source: python-pytest-trio
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hypothesis,
 python3-outcome,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.trio,
 python3-trio,
Standards-Version: 4.6.2
Homepage: https://github.com/python-trio/pytest-trio
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pytest-trio
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pytest-trio.git
Rules-Requires-Root: no

Package: python-pytest-trio-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Pytest plugin for trio (Documentation)
 This is a pytest plugin to help you test projects that use Trio, a friendly
 library for concurrency and async I/O in Python.
 .
 Features include:
  * Async tests without the boilerplate: just write
    async def test_whatever(): ....
  * Useful fixtures included: use autojump_clock for easy testing of code with
    timeouts, or nursery to easily set up background tasks.
  * Write your own async fixtures: set up an async database connection or start
    a server inside a fixture, and then use it in your tests.
  * If you have multiple async fixtures, pytest-trio will even do setup/teardown
    concurrently whenever possible.
  * Integration with the fabulous Hypothesis library, so your async tests can
    use property-based testing: just use @given like you’re used to.
  * Support for testing projects that use Trio exclusively and want to use
    pytest-trio everywhere, and also for testing projects that support multiple
    async libraries and only want to enable pytest-trio’s features for a subset
    of their test suite.
 .
 This package contains the documentation.

Package: python3-pytest-trio
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pytest-trio-doc,
Description: Pytest plugin for trio (Python3 version)
 This is a pytest plugin to help you test projects that use Trio, a friendly
 library for concurrency and async I/O in Python.
 .
 Features include:
  * Async tests without the boilerplate: just write
    async def test_whatever(): ....
  * Useful fixtures included: use autojump_clock for easy testing of code with
    timeouts, or nursery to easily set up background tasks.
  * Write your own async fixtures: set up an async database connection or start
    a server inside a fixture, and then use it in your tests.
  * If you have multiple async fixtures, pytest-trio will even do setup/teardown
    concurrently whenever possible.
  * Integration with the fabulous Hypothesis library, so your async tests can
    use property-based testing: just use @given like you’re used to.
  * Support for testing projects that use Trio exclusively and want to use
    pytest-trio everywhere, and also for testing projects that support multiple
    async libraries and only want to enable pytest-trio’s features for a subset
    of their test suite.
 .
 This package contains the Python 3 version of the library.
